Skip to main content
GET
/
tokenization
/
tokens
/
{id}
/
summary
TypeScript
const response: Promise<FireblocksResponse<TokenContractSummaryResponse>> = fireblocks.tokenization.getTokenContractSummary(tokenizationApiGetTokenContractSummaryRequest);
{
  "baseAssetId": "ETH",
  "contractAddress": "0x1234567890123456789012345678901234567890",
  "totalAddresses": 150,
  "totalSupply": "1000000000000000000000"
}

Path Parameters

id
string
required

The token link id

Response

Successfully retrieved the summary for the token contract

baseAssetId
string
required

The base asset ID

Example:

"ETH"

contractAddress
string
required

The contract address

Example:

"0x1234567890123456789012345678901234567890"

totalAddresses
number
required

Total number of addresses with balances

Example:

150

totalSupply
string
required

The total supply of the token

Example:

"1000000000000000000000"